# wxDateEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dateevt.h>`

Inheritance diagram for wxDateEvent:
[legend]

## Detailed Description

This event class holds information about a date change and is used together with wxDatePickerCtrl.

It also serves as a base class for wxCalendarEvent.

##

Library: wxAdvanced
Category: Events

## Public Member Functions

const wxDateTime & | GetDate () const
| Returns the date.
void | SetDate (const wxDateTime &date)
| Sets the date carried by the event, normally only used by the library internally.

List of all members.

## Member Function Documentation

const wxDateTime& wxDateEvent::GetDate | ( |  | ) | const

Returns the date.

void wxDateEvent::SetDate | ( | const wxDateTime & | date | ) |

Sets the date carried by the event, normally only used by the library internally.

|  | [ top ]